Page MenuHomePhabricator

VE should ignore /doc and /TemplateData templates from inserting tab
Closed, DuplicatePublic

Description

The Visual Editor's insert template can show limited number of characters, which means templates with long names don't appear well. It causes that if I want to insert Template:Szinnyei József: Magyar írók élete és munkái, I have to choose between them:

  • Template:Szinnyei József: Magyar írók élete és munkái
  • Template:Szinnyei József: Magyar írók élete és munkái/doc

As you can see on the picture, I cannot make difference.

I think VE should ignore templates' /doc and /TemplateData sub-pages in the main namespace. They contain documentations of their templates, which means they are not templates and should not be inserted. In my opinion, it would make the inserting more easier too.

Event Timeline

Bencemac created this task.May 6 2018, 8:07 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 6 2018, 8:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Vvjjkkii renamed this task from VE should ignore /doc and /TemplateData templates from inserting tab to gjdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from gjdaaaaaaa to VE should ignore /doc and /TemplateData templates from inserting tab.Jul 2 2018, 4:25 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.